<?php
/*********************************************
*	Calendar Language Pack
*
*	Language:      Dutch
*	Last Updated:  $Date: 2003/08/23 12:27:58 $
*	Revision No.:  $Revision: 1.3 $
*
*********************************************/


// Nederlandse vertaling: Christ Braet - christ.braet@pandora.be
// Version 2.0.1 (Dutch)
// Calendar Addon MOD Language fields

$lang['Calendar'] = "Kalender";

$lang['Cal_description'] = "Beschrijving";
$lang['Cal_day'] = "Start Datum";
$lang['Cal_hour'] = "Tijd";
$lang['End_day'] = "Eind Datum";
$lang['End_time'] = "Eind Tijd";
$lang['Cal_subject'] = "Onderwerp";
$lang['Cal_add_event'] = "Nieuwe gebeurtenis";
$lang['Cal_submit_event'] = "Voeg gebeurtenis toe";

$lang['Cal_event_not_add'] = "Gebeurtenis niet toegevoegd...";
$lang['Cal_event_delete'] = "Gebeurtenis verwijderd";
$lang['Cal_Del_mod'] = "Verwijder / Wijzig";
$lang['Cal_mod_only'] = "Wijzig";
$lang['Cal_back2cal'] = "Bekijk kalender";
$lang['Cal_mod_marked'] = "Wijzig gebeurtenis";
$lang['Cal_del_marked'] = "Verwijder gebeurtenis";
$lang['Cal_must_sel_event'] = "U moet een gebeurtenis selecteren";
$lang['Cal_edit_own_event'] = "Sorry, u kunt enkel uw eigen gebeurtenissen wijzigen.";
$lang['Cal_delete_event'] = "Sorry, u heeft geen machteging om deze gebeurtenis te verwijderen.";
$lang['Cal_not_enough_access'] = "Sorry, toegang geweigerd" ;
$lang['Cal_must_member'] = "U dient gemachtigd te zijn om deze dienst te kunnen gebruiken";
$lang['Cal_alt_event'] = "Huidig:";
$lang['Validate'] = "Bevestig gebeurtenis"; 
$lang['Cal_event_validated'] = "Gebeurtenis(sen) zijn bevestigd / verwijderd zoals aangegeven";
$lang['No events'] = "Op het moment zijn er geen gebeurtenisen voor deze datum";
$lang['No records'] = "Geen gebeurtenis heeft goedkeuring nodig";
$lang['No records modify'] = "Geen gebeurtenis aanwezig om te wijzigen";
$lang['No information'] = "Onvoldoende informatie. Vul a.u.b de relevante informatie in";
$lang['Date before today'] = "Sorry, u kunt geen gebeurtenis(sen) toevoegen in het verleden";
$lang['Date before start'] = "Sorry, u kunt geen gebeurtenis(sen) toevogen die afgelopen zijn voor ze beginnen";
$lang['No date'] = "U dient een startdatum en einddatum te selecteren";
$lang['No time'] = "U dient een starttijd en eindtijd te selecteren";

$lang['Config_Calendar'] = "Kalender Configuratie";
$lang['Config_Calendar_explain'] = "Vul hier uw kalender configuratie in";
$lang['Cal_event_add'] = "Gebeurtenis toegevoegd / gewijzigd..."; 
$lang['Cal_add4valid'] = "Gebeurtenis verstuurd ter goedkeuring door een Administrator";

$lang['week_start'] = "Week start";
$lang['subject_length'] = "Onderwerp lengte";
$lang['subject_length_explain'] = "Maximaal aantal tekens in het onderwerp (titel) voor de lopende maand<br><i>NB: Voor 'dubbele-byte' Talen neem altijd een even getal</i>";
$lang['cal_script_path_explain'] = "Niet in gebruik"; 
$lang['allow_anon'] = "Sta anoniem bekijken toe";
$lang['allow_old'] = "Oude gebeurtenissen toestaan";
$lang['allow_old_explain'] = "Sta toe om gebeurtenissen toe te voegen in het verleden";

$lang['show_headers'] = "Laat phpBB2 info zien";
$lang['cal_date_explain'] = "Alleen gebruiken indien u een ander formaat dan het forumformaat wilt gebruiken <a href='http://www.php.net/date' target='_other'>date()</a>";
$lang['category'] = "Categorie";

$lang['Cal_config_updated'] = "Kalender configuratie met sucess bijgewerkt";
$lang['Cal_return_config'] = 'Klik %sHier%s om terug te keren naar kalender configuratie'; 
$lang['allow_categories'] = "Gebruik categorien met gebeurtenissen";
$lang['require_categories'] = "Een categorie is nodig bij deze gebeurtenis:";

$lang['No_cat_selected'] = "Geen categorie geselecteerd";
$lang['Edit_cat'] = "Wijzig Categorie";
$lang['Cats_explain'] = "Gebruik deze sectie voor aanvullingen, wijzigingen of verwijderingen in uw database. <br><br><b>NB:</b> Hou er rekening mee dat, wanneer u een categorie verwijderd die is geselecteerd voor een gebeurtenis , deze NIET de gebeurtenis verwijderd.";
$lang['Cats_title'] = "Categorie administratie";
$lang['Must_enter_cat'] = "U dient een catagorie op te geven";
$lang['Cat_updated'] = "Categorie bijgewerkt";
$lang['Cat_added'] = "Categorie toegevoegd";
$lang['cat_removed'] = "Categorie verwijderd";
$lang['Add_new_cat'] = "Een nieuwe categorie toevoegen";
$lang['Click_return_catadmin'] = "Klik %shier%s om terug te keren naar categorie administratie";
$lang['Must_enter_valid_cat'] = "U dient geldige alpha / numerische tekens te gebruiken"; 
$lang['Filter_cats_alt'] = "Laat alleen de geselecteerde categorie zien";
$lang['Filter_cats'] = "Alleen bekijken...";
$lang['Month_jump'] = "Spring naar...";

$lang['Recur_apply_to'] = "Herhalende gebeurtenis(sen) van toepassing op:";
$lang['Recur_future'] = "Toekomstige gebeurtenissen";
$lang['Recur_solo'] = "Alleen deze gebeurtenis";
$lang['Recur_all'] = "Alle terugkerende gebeurtenissen";
$lang['Cal_repeats'] = "Herhaal elk(e):";
$lang['until'] = "tot";
$lang['Earliest recur before today'] = "Sorry, de vroegste datum kan niet verplaatst worden vr vandaag.\n<BR> Probleemevenement op: "; 
$lang['day'] = "dag";
$lang['week'] = "week";
$lang['month'] = "maand";
$lang['year'] = "jaar";
$lang['Event_length'] = "Elke gebeurtenis duurt:";
$lang['Recur_title'] = "Optionele gebeurtenisinfo.";
$lang['Event_title'] = "Gebeurtenis info.";
$lang['Event overlap'] = "Terugkerende gebeurtenissen kunnen niet opnieuw starten vrdat hij afgelopen is";
$lang['R_period too small'] = "De beschikbare periode voor de terugkerende gebeurtenis is te kort voor herhalingen";

$lang['Add notes'] = "Voeg aanvullende info toe aan deze gebeurtenis";
$lang['Add noted title'] = "Aanvullende notities";
$lang['Split solo'] = "Splits in 'stand-alone' bijdrage <i>(zal niet langer geupdate worden met gerelateerde evenementen)</i>";
$lang['Split solo title'] = "Splits in aparte gebeurtnis titel";
$lang['Split future'] = "Verander alle bijdragen vanaf dit punt";
$lang['Split future title'] = "Verander alle toekomstige bijdragen(Titels)";
$lang['Edit all'] = "Verander alle relevante gebeurtenis bijdragen";
$land['Edit all title'] = "Verander alle relevante gebeurtenis bijdragen(Titels)";
$lang['early_iteration'] = "(Vroegste herhaling na vandaag)";

$lang['global subject'] = "Algemeen onderwerp"; 
$lang['global desc'] = "Algemeen evenement info"; 

$lang['Del future'] = "Verwijder alle gebeurtenissen vanaf"; 
$lang['Del all'] = "Verwijder alle gerelateerde gebeurtenis bijdragen <i>('gesplitste' niet inbegrepen)</i>"; 
$lang['Del this'] = "Verwijder deze gebeurtenis"; 

$lang['Event_num'] = "Gebeurtenis nummer:";
$lang['of'] = "<i>of</i>";

$lang['Additional info'] = "Bijgevoegde informatie:";
$lang['Event specific'] = "(specifiek voor 'dit' evenement):";

$lang['allow_user_post_default'] = "Standaard toegangsniveau voor ALLE geregistreerde gebruikers"; 

$lang['no_public'] = "Geen publieke toegang"; 
$lang['view_only'] = "Enkel bekijken"; 
$lang['view_suggest'] = "Bekijk, suggereer gebeurtenis"; 
$lang['view_add'] = "Bekijk, voeg gebeurtenissen toe"; 
$lang['view_edit_own'] = "Bekijk, voeg toe (wijzig / verwijder eigen)"; 
$lang['cal_admin'] = "Kalender administartor";

$lang['Invalid date'] = "En of beide data zijn ongeldig"; 
$lang['Empty subject'] = "Je moet een onderwerp opgeven"; 
$lang['Empty description'] = "Je moet een beschrijving opgeven"; 
$lang['max'] = "Maximum:"; 
$lang['Return'] = "Terug naar: ";

$lang['View All'] = "Bekijk alles"; 
$lang['Calendar_Level'] = "Kalenderniveau"; 
$lang['Calendar_Categories'] = "Kalender Categories"; 
$lang['Calendar Config'] = "Kalender Configuratie"; 

$lang['days'] = "dagen"; 
$lang['weeks'] = "weken"; 
$lang['months'] = "maanden"; 
$lang['years'] = "jaren"; 

$lang['view_year'] = "Jaar overzicht";
$lang['view_month'] = "Maand overzicht";
$lang['view_week'] = "Week overzicht";
$lang['view_day'] = "Dag overzicht";
$lang['view_list'] = "Lijst overzicht";
$lang['view'] = "Overzicht";

$lang['Submitted_by'] = "Ingestuurd door:";

$lang['No_modify_old'] = "Sorry, U kunt geen oude gebeurtenis wijzigen";
$lang['Cat_in_use'] = "Deze gebeurtenis is gekoppeld aan een bestaande gebeurtenis en kan niet worden verwijderd";

$lang['require_time'] = "Start en eind tijden zijn vereist voor nieuwe gebeurtenissen";
$lang['allow_private_event'] = "Sta ingeschreven gebruikers toe om priv gebeurtenissen toe te voegen";
$lang['allow_group_event'] = "Sta ingeschreven gebruikers toe eigen groep gebeurtenissen te wijzigens";

$lang['event_access'] = "Gebeurtenis toegang:";
$lang['private_event'] = "Priv/Personoonlijk";
$lang['public_event'] = "Publiekelijk";
$lang['ug_event'] = "Toegang beperkt tot gebruikersgroep(en)";
$lang['group_select'] = "Sta gebruikersgroepen toe: <br /><i>(indien van toepassing)</i>";

$lang['group_event_explain'] = "<span class='genmed'><i>(Hou 'CTRL' toets ingedrukt en selecteer alle de groepen die u wenst met de muis, indien meer dan 1 groep)</i></span>"; 
$lang['No_private_events'] = "U heeft geen toestemming om priv gebeurtenissen toe te voegen"; 
$lang['time_format'] = "Tijd Formaat";

$lang['c_first'] = '1ste';
$lang['c_second'] = '2de';
$lang['c_third'] = '3de';
$lang['c_fourth'] = '4de';
$lang['OR_every'] = 'Of elke:';

?>